Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.web.multipart
Class MaxUploadSizeExceededException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  org.springframework.core.NestedIOException
                      org.springframework.web.multipart.MultipartException
                          org.springframework.web.multipart.MaxUploadSizeExceededException

All Implemented Interfaces:
  Serializable

    public class MaxUploadSizeExceededException

extends MultipartException

MultipartException subclass thrown when an upload exceeds the maximum upload size allowed.

Since:
  1.0.1
Author:
  Juergen Hoeller
See Also:
  Serialized Form

Constructor Summary
`MaxUploadSizeExceededException(long maxUploadSize)` Constructor for MaxUploadSizeExceededException.
`MaxUploadSizeExceededException(long maxUploadSize, Throwable ex)` Constructor for MaxUploadSizeExceededException.

Method Summary
`long` | `getMaxUploadSize()` Return the maximum upload size allowed.

Methods inherited from class org.springframework.core.NestedIOException
`getCause, getMessage, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getStackTrace, initCause, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MaxUploadSizeExceededException

    public MaxUploadSizeExceededException(long maxUploadSize)

  Constructor for MaxUploadSizeExceededException.

  Parameters:
    `maxUploadSize` - the maximum upload size allowed

### MaxUploadSizeExceededException

    public MaxUploadSizeExceededException(long maxUploadSize,
                                          Throwable ex)

  Constructor for MaxUploadSizeExceededException.

  Parameters:
    `maxUploadSize` - the maximum upload size allowed
    `ex` - root cause from multipart parsing API in use

Method Detail

### getMaxUploadSize

    public long getMaxUploadSize()

  Return the maximum upload size allowed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2007 The Spring Framework.